<?xml version="1.0" encoding="ASCII"?>

<!-- oks-schema version 2.0 -->


<!DOCTYPE oks-schema [
  <!ELEMENT oks-schema (info, (include)?, (comments)?, (class)+)>
  <!ELEMENT info EMPTY>
  <!ATTLIST info
      name CDATA #REQUIRED
      type CDATA #REQUIRED
      num-of-items CDATA #REQUIRED
      oks-format CDATA #FIXED "schema"
      oks-version CDATA #REQUIRED
      created-by CDATA #REQUIRED
      created-on CDATA #REQUIRED
      creation-time CDATA #REQUIRED
      last-modified-by CDATA #REQUIRED
      last-modified-on CDATA #REQUIRED
      last-modification-time CDATA #REQUIRED
  >
  <!ELEMENT include (file)+>
  <!ELEMENT file EMPTY>
  <!ATTLIST file
      path CDATA #REQUIRED
  >
  <!ELEMENT comments (comment)+>
  <!ELEMENT comment EMPTY>
  <!ATTLIST comment
      creation-time CDATA #REQUIRED
      created-by CDATA #REQUIRED
      created-on CDATA #REQUIRED
      author CDATA #REQUIRED
      text CDATA #REQUIRED
  >
  <!ELEMENT class (superclass | attribute | relationship | method)*>
  <!ATTLIST class
      name CDATA #REQUIRED
      description CDATA ""
      is-abstract (yes|no) "no"
  >
  <!ELEMENT superclass EMPTY>
  <!ATTLIST superclass name CDATA #REQUIRED>
  <!ELEMENT attribute EMPTY>
  <!ATTLIST attribute
      name CDATA #REQUIRED
      description CDATA ""
      type (bool|s8|u8|s16|u16|s32|u32|s64|u64|float|double|date|time|string|uid|enum|class) #REQUIRED
      range CDATA ""
      format (dec|hex|oct) "dec"
      is-multi-value (yes|no) "no"
      multi-value-implementation (list|vector) "list"
      init-value CDATA ""
      is-not-null (yes|no) "no"
  >
  <!ELEMENT relationship EMPTY>
  <!ATTLIST relationship
      name CDATA #REQUIRED
      description CDATA ""
      class-type CDATA #REQUIRED
      low-cc (zero|one) #REQUIRED
      high-cc (one|many) #REQUIRED
      is-composite (yes|no) #REQUIRED
      is-exclusive (yes|no) #REQUIRED
      is-dependent (yes|no) #REQUIRED
      multi-value-implementation (list|vector) "list"
  >
  <!ELEMENT method (method-implementation*)>
  <!ATTLIST method
      name CDATA #REQUIRED
      description CDATA ""
  >
  <!ELEMENT method-implementation EMPTY>
  <!ATTLIST method-implementation
      language CDATA #REQUIRED
      prototype CDATA #REQUIRED
      body CDATA ""
  >
]>

<oks-schema>

<info name="" type="" num-of-items="1" oks-format="schema" oks-version="oks-06-07-01 built &quot;Jun 19 2014&quot;" created-by="mlisovyi" created-on="pcatd52" creation-time="20030423T161249" last-modified-by="anegri" last-modified-on="lxplus0162.cern.ch" last-modification-time="20140728T085259"/>

<include>
 <file path="is/is.xml"/>
</include>

 <class name="StatusRegisterDFIMStatus" description="Status Register Values for DF+IM Monitoring">
  <superclass name="Info"/>
  <attribute name="Name" description="DF Name" type="string" is-not-null="yes"/>

  <attribute name="DF_wcount_sr_v" 	description="word count vector" 	type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_cwcount_sr_v" 	description="control word count vector" type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_xoffcount_sr_v" 	description="xoff count vector" 	type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_xoffmon_sr_v" 	description="xoff count vector" 	type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_inwcount_sr_v" 	description="IM word count vector" 	type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_incwcount_sr_v" 	description="IM control word count vector" type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_inxoffcount_sr_v" description="IM input xoff count vector" type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_sfos_sr_v" description="DF Switch Fifo Output Switch " type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_sfcs_sr_v" description="DF Switch Fifo Central Switch " type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_sfilos_sr_v" description="DF Switch Fifo Input Link Output Switch " type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_sfilis_sr_v" description="DF Switch Fifo Input Link Input Switch " type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_sfolos_sr_v" description="DF Switch Fifo Output Link Output Switch " type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_inbusy_sr_v" 	description="DF fifo input busy" type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_inempty_sr_v" 	description="DF fifo input empty" type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_outbusy_sr_v" 	description="DF fifo output busy" type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_outempty_sr_v" 	description="DF fifo output empty" type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_l1id_sr_v" 	description="DF l1id" 	type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_npackets_discarded_sr_v" 	description="DF number of packets discarded" type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/> 
  <attribute name="DF_npackets_discarded_sync_sr_v" description="DF number of packets discarded by synchronizer" type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_inputskew_sync_sr_v" description="DF time difference between packet arrival on the different input links" type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_num_packets_discarded_synch_full_sr_v" description="DF number of packets discarded in synchronizer (full)" type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_num_packets_held_synch_full_sr_v" description="DF number of packets held in synchronizer (full)" type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_num_packets_timedout_synch_full_sr_v" description="DF number of packets timed out in synchronizer (full)" type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_num_packets_discarded_full_sr_v" description="DF number of packets discarded in packet handler (full)" type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_num_mods_hit_word_limit_full_sr_v" description="DF number of module hit word limit at input (full)" type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
<!-- 
 <attribute name="DF_input_monitoring_skew_sr_v" description="DF skew per-packet" type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_input_monitoring_PH_timeout_full_sr_v" description="DF PacketHandler packet completion time per packet" type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_input_monitoring_global_L1skip_sr_v" description="DF global l1id skip amount per packet" type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_input_monitoring_lane_L1skip_full_sr_v" description="DF l1id skip amount per packet per lane" type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>-->

<attribute name="DF_wcount_sr_v_info" 	description="word count vector Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_cwcount_sr_v_info" 	description="control word count vector Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_xoffcount_sr_v_info" 	description="xoff count vector Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_xoffmon_sr_v_info" 	description="xoff count vector Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_inwcount_sr_v_info" 	description="IM word count vector Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_incwcount_sr_v_info" 	description="IM control word count vector Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_inxoffcount_sr_v_info"	description="IM input xoff count vector Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" 	type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_sfos_sr_v_info"	description="DF Switch Fifo Output Switch Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_sfcs_sr_v_info"	description="DF Switch Fifo Central Switch Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_sfilos_sr_v_info"	description="DF Switch Fifo Input Link Output Switch Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_sfilis_sr_v_info"	description="DF Switch Fifo Input Link Input Switch Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_sfolos_sr_v_info"	description="DF Switch Fifo Output Link Output Switch Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_inbusy_sr_v_info" 	description="DF fifo input busy Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" 	type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_inempty_sr_v_info" 	description="Df fifo input empty Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_outbusy_sr_v_info" 	description="DF fifo output busy  Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_outempty_sr_v_info" 	description="DF fifo output empty Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_l1id_sr_v_info" 	description="DF l1id Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
<attribute name="DF_npackets_discarded_sr_v_info" description="DF num of packets discarded Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
<attribute name="DF_npackets_discarded_sync_sr_v_info" 	description="DF num of packets discarded by sync Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
<attribute name="DF_inputskew_sync_sr_v_info" 	description="DF input skew Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
<attribute name="DF_num_packets_discarded_synch_full_sr_v_info" 	description="DF num of packets discarded by synch Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
<attribute name="DF_num_packets_held_synch_full_sr_v_info" 	description="DF num of packets held by synch Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
<attribute name="DF_num_packets_timedout_synch_full_sr_v_info" 	description="DF num of packets timedout by synch Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
<attribute name="DF_num_packets_discarded_full_sr_v_info" 	description="DF num of packets discarded by PacketHandler Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
<attribute name="DF_num_mods_hit_word_limit_full_sr_v_info" 	description="DF num of modules hit word limit at input Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
<attribute name="DF_input_monitoring_skew_sr_v_info" description="DF skew per-packet Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
<attribute name="DF_input_monitoring_PH_timeout_full_sr_v_info" description="DF PacketHandler packet completion time per packet Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
<attribute name="DF_input_monitoring_global_L1skip_sr_v_info" description="DF global l1id skip amount per packet Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
<attribute name="DF_input_monitoring_lane_L1skip_full_sr_v_info" description="DF l1id skip amount per packet per lane Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>

  <attribute name="IM0_sr_v" description="IM0 (Pix) status" type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="IM1_sr_v" description="IM1 (SCT) status" type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="IM2_sr_v" description="IM2 (Pix) status" type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="IM3_sr_v" description="IM3 (SCT) status" type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="IM4_sr_v" description="IM4 (Pix) status" type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="IM5_sr_v" description="IM5 (SCT) status" type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="IM6_sr_v" description="IM6 (Pix) status" type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="IM7_sr_v" description="IM7 (SCT) status" type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="IM8_sr_v" description="IM8 (Pix) status" type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="IM9_sr_v" description="IM9 (SCT) status" type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="IM10_sr_v" description="IM10 (Pix) status" type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="IM11_sr_v" description="IM11 (SCT) status" type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="IM12_sr_v" description="IM12 (Pix) status" type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="IM13_sr_v" description="IM13 (SCT) status" type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="IM14_sr_v" description="IM14 (Pix) status" type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="IM15_sr_v" description="IM15 (SCT) status" type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>

  <attribute name="IM0_sr_v_info" description="IM0 (Pix) status Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="IM1_sr_v_info" description="IM1 (SCT) status Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="IM2_sr_v_info" description="IM2 (Pix) status Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="IM3_sr_v_info" description="IM3 (SCT) status Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="IM4_sr_v_info" description="IM4 (Pix) status Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="IM5_sr_v_info" description="IM5 (SCT) status Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="IM6_sr_v_info" description="IM6 (Pix) status Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="IM7_sr_v_info" description="IM7 (SCT) status Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="IM8_sr_v_info" description="IM8 (Pix) status Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="IM9_sr_v_info" description="IM9 (SCT) status Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="IM10_sr_v_info" description="IM10 (Pix) status Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="IM11_sr_v_info" description="IM11 (SCT) status Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="IM12_sr_v_info" description="IM12 (Pix) status Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="IM13_sr_v_info" description="IM13 (SCT) status Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="IM14_sr_v_info" description="IM14 (Pix) status Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="IM15_sr_v_info" description="IM15 (SCT) status Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>

  <attribute name="IM_fw_ver_FPGA0_sr_v"      description="IM FW Version FPGA0 status" type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="IM_fw_ver_FPGA1_sr_v"      description="IM FW Version FPGA1 status" type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="IM_fw_ver_FPGA2_sr_v"      description="IM FW Version FPGA2 status" type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="IM_fw_ver_FPGA3_sr_v"      description="IM FW Version FPGA3 status" type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="IM_fw_ver_FPGA4_sr_v"      description="IM FW Version FPGA4 status" type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="IM_fw_ver_FPGA5_sr_v"      description="IM FW Version FPGA5 status" type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="IM_fw_ver_FPGA6_sr_v"      description="IM FW Version FPGA6 status" type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="IM_fw_ver_FPGA7_sr_v"      description="IM FW Version FPGA7 status" type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="IM_fw_ver_FPGA0_sr_v_info" description="IM FW Version FPGA0 status Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="IM_fw_ver_FPGA1_sr_v_info" description="IM FW Version FPGA1 status Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="IM_fw_ver_FPGA2_sr_v_info" description="IM FW Version FPGA2 status Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="IM_fw_ver_FPGA3_sr_v_info" description="IM FW Version FPGA3 status Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="IM_fw_ver_FPGA4_sr_v_info" description="IM FW Version FPGA4 status Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="IM_fw_ver_FPGA5_sr_v_info" description="IM FW Version FPGA5 status Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="IM_fw_ver_FPGA6_sr_v_info" description="IM FW Version FPGA6 status Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="IM_fw_ver_FPGA7_sr_v_info" description="IM FW Version FPGA7 status Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  
  <attribute name="DF_gt1_sr_v" description="GT monitor 1" type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_gt2_sr_v" description="GT monitor 2" type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_gt3_sr_v" description="GT monitor 3" type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>

  <attribute name="DF_gt1_sr_v_info" description="GT monitor 1 Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_gt2_sr_v_info" description="GT monitor 2 Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_gt3_sr_v_info" description="GT monitor 3 Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>

  <attribute name="DF_infullfr_sr_v" description="DF in FIFO full fraction" type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_infullfr_sr_v_info" description="DF in FIFO full fraction Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>

  <attribute name="DF_fmcenable_sr_v" description="DF FMC enabled lanes" type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_fmcenable_sr_v_info" description="DF FMC enabled lanes Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>

  <attribute name="DF_inxoff_sr_v" description="DF input xoff" type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_inxoff_sr_v_info" description="DF input xoff Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>

  <attribute name="DF_slink_total_evts_given_up_v" 	description="DF count number events timed out for output channel" 	type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_slink_total_evts_given_up_v_info"	description="count slink events given up vector Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" 		type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>

  <attribute name="DF_slink_total_modules_given_up_v" 	description="DF count number modules timed out for output channel" 	type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_slink_total_modules_given_up_v_info"	description="count slink mods given up vector Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" 		type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>

  <attribute name="DF_slink_evtsorting_monitor_v" 	description="DF count events in sorting buffer for output channel" 	type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_slink_evtsorting_monitor_v_info"	description="count slink events in sorting buffer Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" 		type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>

 <!--
  <attribute name="DF_input_b0f_skew" description="DF input b0f skew" type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_input_b0f_skew_info" description="DF input b0f skew info" type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>

  <attribute name="DF_input_b0f_timeout_links" description="DF input b0f timeout links" type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_input_b0f_timeout_links_info" description="DF input b0f timeout links info" type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>

  <attribute name="DF_l1id_out_of_sync" description="DF links l1id out of sync" type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_l1id_out_of_sync_info" description="DF links l1id out of sync info" type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>

 -->

<attribute name="DF_fmcin_fifo_sr_v"  description="DF FMCIN FIFO overflow flags"      type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_fmcin_fifo_sr_v_info"     description="DF FMCIN FIFO overflow flags Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>

  <attribute name="DF_int_link_rx_fifo_sr_v"    description="DF Internal Link RX FIFO overflow flags"   type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_int_link_rx_fifo_sr_v_info"       description="DF Internal Link RX FIFO overflow flags Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>

  <attribute name="DF_int_link_tx_fifo_sr_v"    description="DF Internal Link TX FIFO overflow flags"   type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_int_link_tx_fifo_sr_v_info"       description="DF Internal Link TX FIFO overflow flags Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]" type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>

  <attribute name="DF_slink_fifo_1_sr_v"        description="DF SLINK FIFOs in transceiver (Ch0-17) overflow flags"     type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_slink_fifo_1_sr_v_info"   description="DF SLINK FIFOs in transceiver (Ch0-17) overflow flags Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]"  type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>

  <attribute name="DF_slink_fifo_2_sr_v"        description="DF SLINK FIFOs in transceiver (Ch18-35) overflow flags"    type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_slink_fifo_2_sr_v_info"   description="DF SLINK FIFOs in transceiver (Ch18-35) overflow flags Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]"              type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>

  <attribute name="DF_odo_evt_sort_buff_fifo_1_sr_v"           description="DF ODO event sort buffer (Ch0-17) overflow flags"     type="u32" init-value="0" is-not-null="yes"  is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_odo_evt_sort_buff_fifo_1_sr_v_info"       description="DF ODO event sort buffer (Ch0-17) overflow flags Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]"   type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  
  <attribute name="DF_odo_evt_sort_buff_fifo_2_sr_v"           description="DF ODO event sort buffer (Ch18-35) overflow flags"     type="u32" init-value="0" is-not-null="yes"  is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_odo_evt_sort_buff_fifo_2_sr_v_info"       description="DF ODO event sort buffer (Ch18-35) overflow flags Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]"   type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>

 <attribute name="DF_fmcin_bp_sr_v"          description="DF FMCIN back pressure"     type="u32" init-value="0" is-not-null="yes"  is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_fmcin_bp_sr_v_info"     description="DF FMCIN back pressure Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]"   type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_ili_bp_sr_v"          description="DF ILI back pressure"     type="u32" init-value="0" is-not-null="yes"  is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_ili_bp_sr_v_info"     description="DF ILI back pressure Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]"   type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_odo_bp_sr_v"          description="DF ODO back pressure"     type="u32" init-value="0" is-not-null="yes"  is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_odo_bp_sr_v_info"     description="DF ODO back pressure Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]"   type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_ilo_bp_sr_v"          description="DF ILO back pressure"     type="u32" init-value="0" is-not-null="yes"  is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_ilo_bp_sr_v_info"     description="DF ILO back pressure Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]"   type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>

  <attribute name="DF_input_global_freeze_sr_v"     description="DF input global freeze counter"   type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_input_global_freeze_sr_v_info"     description="DF input global freeze counter Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]"   type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_slink_ldc_freeze_sr_v"     description="DF slink LDC freeze counter"   type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_slink_ldc_freeze_sr_v_info"     description="DF slink LDC freeze counter Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]"   type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_fmcout_to_im_freeze_sr_v"     description="DF FMCOUT to IM freeze counter"   type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_fmcout_to_im_freeze_sr_v_info"     description="DF FMCOUT to IM freeze counter Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]"   type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>


  <attribute name="DF_ido_clusters_per_evt_sr_v"          description="DF IDO clusters per event"     type="u32" init-value="0" is-not-null="yes"  is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_ido_clusters_per_evt_sr_v_info"     description="DF IDO clusters per event Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]"   type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_ili_clusters_per_evt_sr_v"          description="DF ILI clusters per event"     type="u32" init-value="0" is-not-null="yes"  is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_ili_clusters_per_evt_sr_v_info"     description="DF ILI clusters per event Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]"   type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_odo_clusters_per_evt_sr_v"          description="DF ODO clusters per event"     type="u32" init-value="0" is-not-null="yes"  is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_odo_clusters_per_evt_sr_v_info"     description="DF ODO clusters per event Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]"   type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_ilo_clusters_per_evt_sr_v"          description="DF ILO clusters per event"     type="u32" init-value="0" is-not-null="yes"  is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_ilo_clusters_per_evt_sr_v_info"     description="DF ILO clusters per event Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]"   type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>

  <attribute name="DF_b0f_b0f_over_b0f_e0f_sr_v"          description="DF Counter for appearance of b0f and e0f at SLINK out" type="u32" init-value="0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>
  <attribute name="DF_b0f_b0f_over_b0f_e0f_sr_v_info"     description="DF Counter for appearance of b0f and e0f at SLINK out Info [firstAddr, finalAddr, addrIncrement, fpgaNum, selectorAddr, readerAddr]"   type="u32" init-value="0,0,0,0,0,0" is-not-null="yes" is-multi-value="yes" multi-value-implementation="vector"/>

 </class>

</oks-schema>
